/* Copyright 1998 Sam Trenholme
   This code is released to the public domain. */

#include <time.h>
#include <stdio.h>
#include <sys/types.h>
#include "kiwi.h"

void
main(void)
{

	/* The string to store the encrypted cookie in */
	char crypto[7];

	/* The data we wish to encrypt */
	u_int32_t data;

	/* Take the time, shift it right 4 bits (lopping off the least 
           significant four bits of the time), and make the message format
           "Long time out" on the four high bits 
           Note that this is not year 2038 complient, but easy to adapt */

	data = 0x78000000; /* 0x78 indicates time stamp right shifted 6 bits */
	data |= (time(0) & 0xFFFFFFFF) >> 6; 

	key_setup(KEY,16);

	/* Convery that in to an encrypted cookie, and output the result */
        printf("%s\n",cryptdate(data,crypto));

}

